try: 			
    import maya.standalone 			
    maya.standalone.initialize() 		
except: 			
    pass

from maya import cmds
from maya import mel

def do_ogsRender():
	# Set render
	mel.eval('setRenderingEngineInModelPanel "OpenGLLegacy"')
	#cmds.setAttr('defaultRenderGlobals.ren', 'mayaHardware2', type='string')
	cmds.setAttr('defaultRenderGlobals.imageFormat', 32)
	cmds.setAttr('defaultRenderGlobals.outFormatControl', 0)
	cmds.setAttr('defaultRenderGlobals.animation', 1)
	cmds.setAttr('defaultRenderGlobals.putFrameBeforeExt', 1)
	cmds.setAttr('defaultRenderGlobals.extensionPadding', 4)
	cmds.setAttr('defaultRenderGlobals.byFrame', 1)
	cmds.setAttr('defaultRenderGlobals.byFrameStep', 1)
	cmds.setAttr('defaultRenderGlobals.startFrame', 1)
	cmds.setAttr('defaultRenderGlobals.endFrame', 1)
	cmds.setAttr('defaultRenderGlobals.periodInExt', 1)
	cmds.setAttr('defaultRenderGlobals.useMayaFileName', 0)
	cmds.setAttr('hardwareRenderingGlobals.batchRenderControls.lightingMode', 0)
	cmds.setAttr('hardwareRenderingGlobals.batchRenderControls.renderMode', 4)
	cmds.setAttr('hardwareRenderingGlobals.lightingMode', 0)
	cmds.setAttr('hardwareRenderingGlobals.renderMode', 4)

	ret = cmds.ogsRender(
	    camera="persp",
	    frame=1,
	    noRenderView=True,
	    width=640,
	    height=480
	    )

if cmds.about(batch=True):
	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_GPU_mesh_mayapy.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()

	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_Maya_mesh_mayapy.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()

	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_Preview_mayapy.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()

else :
	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_GPU_mesh_interactif.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()

	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_Maya_mesh_interactif.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()

	cmds.file( '/u/local/test_playblast_vrmesh/playblast_vrmesh_Preview_interactif.ma', open=True, force=True )
	maya_dir ='/u/local/test_playblast_vrmesh'
	mel.eval('setProject \"' + maya_dir + '\"')
	do_ogsRender()
